Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class ElephantObjectType

    java.lang.Object
      com.sun.mdm.index.parser.ElephantObjectType

public class ElephantObjectType
extends java.lang.Object

Field Summary
`static java.lang.String` | `STCSIGMATAG` stc_sigma tag

Constructor Summary
`ElephantObjectType()` default constructor

Method Summary
`java.util.ArrayList` | `createFieldNames()`
`java.util.ArrayList` | `createFieldNameTypes()`
`java.util.ArrayList` | `createFieldTypes()`
`java.util.ArrayList` | `getFieldDefs()`
`java.util.ArrayList` | `getFieldNames()`
`java.util.ArrayList` | `getFieldNameTypes()`
`java.util.ArrayList` | `getFieldTypeObjs()`
`java.util.ArrayList` | `getFieldTypes()`
`java.util.ArrayList` | `getMatchFlags()`
`java.lang.String` | `getName()`
`java.lang.String` | `getSigma()`
`java.lang.String` | `getType()`
`(package private) void` | `parse(org.w3c.dom.Node node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STCSIGMATAG

    public static final java.lang.String STCSIGMATAG

  stc_sigma tag

  See Also:
    Constant Field Values

Constructor Detail

### ElephantObjectType

    public ElephantObjectType()

  default constructor

Method Detail

### createFieldNames

    public java.util.ArrayList createFieldNames()

  Returns:
    ArrayList list

### createFieldNameTypes

    public java.util.ArrayList createFieldNameTypes()

  Returns:
    ArrayList list

### createFieldTypes

    public java.util.ArrayList createFieldTypes()

  Returns:
    ArrayList list

### getFieldDefs

    public java.util.ArrayList getFieldDefs()

  Returns:
    ArrayList list

### getFieldNames

    public java.util.ArrayList getFieldNames()

  Returns:
    ArrayList list

### getFieldNameTypes

    public java.util.ArrayList getFieldNameTypes()

  Returns:
    ArrayList list

### getFieldTypeObjs

    public java.util.ArrayList getFieldTypeObjs()

  Returns:
    ArrayList list

### getFieldTypes

    public java.util.ArrayList getFieldTypes()

  Returns:
    ArrayList list

### getMatchFlags

    public java.util.ArrayList getMatchFlags()

  Returns:
    ArrayList list

### getName

    public java.lang.String getName()

  Returns:
    String ret string

### getSigma

    public java.lang.String getSigma()

  Returns:
    String ret string

### getType

    public java.lang.String getType()

  Returns:
    String ret string

### parse

    void parse(org.w3c.dom.Node node)

  Parameters:
    `node` - Node

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.